@echo off
:: set title of menu page
set menutitle=Hint menu ^R to return.
                        
:: Always use call when running a batch file form the menu!
:: example call game.bat


::::::::::::::::::::::::::
:: set password for menu item
set pass1=
:: locks menu item, asks for password if set to locked 
:: (locked must be in lowercase. Example: set lockp1=locked )
set lockp1=

:: set directions for params to enter.
set directions1=
::  Next line tells Markmenu to prompt for params for menu item
:: if set to enabled
:: (enabled must be in lowercase Example: set param1=enabled)
set param1=
:: set title of menu item
set aa=List_of_code_hint_pages
:: begin commands for menu item
set command1=
:: this second line lets command accept extra parameters entered at
:: dos,or when prompted.example putting the command scandisk on this line, 
:: and activating prompt for parameters will allow a user to enter the
:: drive letter for the disk the user wants to check 
set commanda=z%batchcom%hint code
set commandaa=
set commandaaa=c:


set pass2=
set lockp2=

set directions2=type in hint subject.
set param2=enabled
set bb=Hint_pages
set command2=f:
set commandb=%batchcom%hint
set commandbb=
set commandbbb=c:

set pass3=
set lockp3=

set directions3=
set param3=                                
set c=Program_reference
set command3=f:
set commandc=%batchcom%hint program
set commandcc=
set commandccc=c:

set pass4=
set lockp4=
set directions4=
set param4=
set d=Hint_directory
set command4=e:   
set commandd=%batchcom%hint dir
set commanddd=
set commandddd=c:


set pass5=
set lockp5=
set directions5=
set param5=
set e=
set command5=e:
set commande=
set commandee=
set commandeee=c:
set pass6=
set lockp6=
set directions6=
set param6=
set f=
set command6=f:
set commandf=
set commandff=
set commandfff=c:


set pass7=
set lockp7=
set directions7=
set param7=
set g=Hex_Editor
set command7=cd \hexedit
set commandg=xvi32
set commandgg=
set commandggg=


set pass8=
set lockp8=
set directions8=
set param8=
set h=
set command8=f:
set commandh=
set commandhh=
set commandhhh=c:


set pass9=
set lockp9=
set directions9=
set param9=
set i=
set command9=f:
set commandi=
set commandii=
set commandiii=c:



set pass10=
set lockp10=
set directions10=
set param10=
set j=
set command10=f:
set commandj=
set commandjj=
set commandjjj=c:


set pass11=
set lockp11=
set directions11=
set param11=
set k=
set command11=
set commandk=
set commandkk=
set commandkkk=

set pass12=
set lockp12=
set directions12=
set param12=
set l=
set command12=
set commandl=
set commandll=
set commandlll=



set pass13=
set lockp13=
set directions13=
set param13=
set m=
set command13=cd \nfsu
set commandm=speed
set commandmm=
set commandmmm=


set pass14=
set lockp14=
set param14=
set directions14=
set n=
set command14=cd \nfs1
set commandn=tnfs SBPRO
set commandnn=
set commandnnn=

set pass15=
set lockp15=
set param15=
set directions15=
set o=
set command15=cd \nfswiz
set commando=nfswiz
set commandoo=
set commandooo=

set lockp16=
set param16=
set directions16=
set param16=
set p=
set command16=cd \dc
set commandp=cars
set commandpp=
set commandppp=



set lockp17=
set param17=
set directions17=
set param17=
set q=
set command17=cd \99luft~1
set commandq=3danal~1
set commandqq=
set commandqqq=





set r=

set pass18=
set lockp18=
set directions18=
set param18=
set command18=cd \tmod
set commandr=tmorig~1
set commandrr=
set commandrrr=



set pass20=
set lockp20=
set directions20=Europe
set param20=enabled
set t=
set command20=cd \mam
set commandt=mame polyplay
set commandtt=
set commandttt=


set pass19=
set lockp19=
set directions19=
set param19=
set s=
set command19=          
set commands=
set commandss=
set commandsss=



set pass21=
set lockp21=
set directions21=
set param21=
set u=
set command21=
set commandu=
set commanduu=
set commanduuu=



set pass22=
set lockp22=
set directions22=extendedcommand:
set param22=enabled
set v=Direct_access_ex_console
set command22=
set commandv=%batchcom%morecmds.bat
set commandvv=
set commandvvv=




set pass23=
set lockp23=
set directions23=
set param23=
set w=
set command23=
set commandw=
set commandww=




set pass24=
set lockp24=
set directions24=
set param24=
set x=
set command24=
set commandx=
set commandxx=
set commandxxx=





set pass25=
set lockp25=
set directions25=
set param25=
set y=
set command25=c:
set commandy=
set commandyy=
set commandyyy=



set pass26=
set lockp26=
set directions26=
set param26=
set #=      
set command26=
set command#=
set command##=
set command###=



set pass27=
set lockp27=
set directions27=
set param27=
set !=
set command27=
set command!=
set command!!=
set command!!!=
:: Load markmenu
if not "%1"=="noload" %batchcom%photo mm
if not "%1"=="hintnoload" %batchcom%photo mm
